# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Have to use List::MoreUtils rather than List::Util on old perls with List::Util < 1.33
%global old_list_util 0%{?fedora} < 21 && 0%{?rhel} < 8

Name:		perl-Pod-Readme
Version:	1.2.3
Release:	14.%{__distinit}%{__distvers}
Summary:	Intelligently generate a README file from POD
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Pod-Readme
Source0:	https://cpan.metacpan.org/modules/by-module/Pod/Pod-Readme-v%{version}.tar.gz
Patch0:		Pod-Readme-v1.2.3-old-List::Util.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	sed
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::Method::Modifiers) >= 2.00
BuildRequires:	perl(CPAN::Changes) >= 0.30
BuildRequires:	perl(CPAN::Meta)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.56
BuildRequires:	perl(feature)
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(Hash::Util)
BuildRequires:	perl(IO)
%if %{old_list_util}
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(List::Util)
%else
BuildRequires:	perl(List::Util) >= 1.33
%endif
BuildRequires:	perl(Module::CoreList)
BuildRequires:	perl(Module::Load)
BuildRequires:	perl(Moo) >= 1.004005
BuildRequires:	perl(Moo::Role)
BuildRequires:	perl(MooX::HandlesVia)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Path::Tiny) >= 0.018
BuildRequires:	perl(Pod::Simple)
BuildRequires:	perl(Role::Tiny)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Try::Tiny)
BuildRequires:	perl(Type::Tiny) >= 1.000000
BuildRequires:	perl(Types::Standard)
BuildRequires:	perl(warnings)
# Script Runtime
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(Getopt::Long::Descriptive)
BuildRequires:	perl(IO::Handle)
# Test Suite
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Compare)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::String)
BuildRequires:	perl(lib)
BuildRequires:	perl(Module::Metadata)
BuildRequires:	perl(Pod::Simple::Text)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Exception)
# Pod::Readme::Test::Kit not actually used
#BuildRequires:	perl(Test::Kit)
BuildRequires:	perl(Test::More) >= 0.88
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Role::Tiny)

%description
This module filters POD to generate a README file, by using POD commands to
specify which parts are included or excluded from the README file.

%prep
%setup -q -n Pod-Readme-v%{version}

# Fix script interpreter
sed -i -e 's|#!/usr/bin/env perl|#!/usr/bin/perl|' bin/pod2readme

# Have to use List::MoreUtils rather than List::Util on old perls
%if %{old_list_util}
%patch -P 0
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

# Remove files we don't want installed (only if we have old EU::MM)
# README.pod manified  prior to EU::MM 7.12 (F-25)
# README.pod installed prior to EU::MM 7.32 (F-28)
rm -vf %{buildroot}%{_mandir}/man3/Pod::README.3*
rm -vf %{buildroot}%{perl_vendorlib}/Pod/README.pod

%check
make test

%files
%license LICENSE
%doc Changes README.pod
%{_bindir}/pod2readme
%{perl_vendorlib}/Pod/
%{_mandir}/man1/pod2readme.1*
%{_mandir}/man3/Pod::Readme.3*
%{_mandir}/man3/Pod::Readme::Filter.3*
%{_mandir}/man3/Pod::Readme::Plugin.3*
%{_mandir}/man3/Pod::Readme::Plugin::changes.3*
%{_mandir}/man3/Pod::Readme::Plugin::requires.3*
%{_mandir}/man3/Pod::Readme::Plugin::version.3*
%{_mandir}/man3/Pod::Readme::Types.3*

%changelog
* Fri May 12 2023 aul Howarth <paul@city-fan.org> - 1.2.3-14
- Use SPDX-format license tag
- Avoid use of deprecated patch syntax

* Mon Jun 29 2020 Paul Howarth <paul@city-fan.org> - 1.2.3-6
- Perl 5.32 rebuild

* Sat Jun  8 2019 Paul Howarth <paul@city-fan.org> - 1.2.3-3
- Perl 5.30 rebuild

* Thu Nov  1 2018 Paul Howarth <paul@city-fan.org> - 1.2.3-1
- Update to 1.2.3
  - Updated POD with regard to format types
  - Fixed typos in Changes
  - Added explicit requirements for Pod::Simple as well as recommended modules
  - Remove explicit core dependencies from prereqs list
  - Updated list of contributors in distribution metadata
  - Increased minimum version of Type::Tiny to 1.000000

* Wed Oct 31 2018 Paul Howarth <paul@city-fan.org> - 1.2.1-1
- Update to 1.2.1
  - Restore license to "Perl_5" that was inadvertently changed in the
    conversion to use Dist::Zilla (GH#25)
- Package the LICENSE file

* Tue Oct 30 2018 Paul Howarth <paul@city-fan.org> - 1.2.0-1
- Update to 1.2.0
  - Remove use of Module::Install (GH#21)
  - Use Dist::Zilla to build the distribution.
  - Removed DistZilla type from Pod::Readme::Types, as it was not necessary
  - Specify minimum version of List::Util (GH#22)
  - Added "md" as an alias for "markdown" in pod2readme
  - Added "github" or "gfm" for Github Flavored Markdown in pod2readme (GH#15)
- Switch upstream from search.cpan.org to metacpan.org

* Mon Apr 16 2018 Paul Howarth <paul@city-fan.org> - 1.1.2-12
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Thu Sep 22 2016 Paul Howarth <paul@city-fan.org> - 1.1.2-8
- Fix FTBFS when perl is not in the minimal buildroot
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Sep  2 2015 Paul Howarth <paul@city-fan.org> - 1.1.2-4
- Fix FTBFS with ExtUtils::MakeMaker ≥ 7.06 (#1259389)
- Fix build dependencies

* Tue Dec  9 2014 Paul Howarth <paul@city-fan.org> - 1.1.2-1
- Update to 1.1.2
  - Regex in changes plugin fixed to work with Perl 5.21 deprecated syntax

* Thu Dec  4 2014 Paul Howarth <paul@city-fan.org> - 1.1.1-1
- Update to 1.1.1
  - The changes plugin will work with Dist::Zilla {{$NEXT}} tokens

* Thu Dec  4 2014 Paul Howarth <paul@city-fan.org> - 1.1.0-1
- Update to 1.1.0
  - Fixed typos in POD for requires plugin
  - Pod::Readme::Filter has a zilla attribute for Dist::Zilla objects
  - The requires plugin will use metadata from the Dist::Zilla object
    if it is set, rather than looking for a META.yml file (which will
    not exist, if this is used in a Dist::Zilla plugin)

* Tue Nov 11 2014 Paul Howarth <paul@city-fan.org> - 1.0.3-1
- Update to 1.0.3
  - Fixed bug with minimum version of Class::Method::Modifiers

* Tue Oct 14 2014 Paul Howarth <paul@city-fan.org> - 1.0.2-1
- Update to 1.0.2
  - This is a complete rewrite, using modern Perl with Moo
  - Added support for plugins, along with plugins to insert the module version,
    prerequisites and the latest changes
  - Added the ability to generate a README in a variety of formats, such as
    POD, Markdown, HTML, RTF, etc.
  - Added command-line options to the pod2readme script, including the ability
    to specify the output format
  - Switched to semantic versioning
  - The documentation has been updated accordingly
  - This is no longer a subclass of a POD parser, although it has some wrapper
    methods for compatibility with software known to use it
- This release by RRWO → update source URL
- Add patch to support using List::MoreUtils rather than List::Util 1.33 on old
  distributions

* Mon Sep  1 2014 Paul Howarth <paul@city-fan.org> - 0.110-11
- Drop %%defattr, redundant since rpm 4.4

* Sun Jul  1 2012 Paul Howarth <paul@city-fan.org> - 0.110-5
- BR: perl(Carp), perl(IO::File), perl(Pod::PlainText) and perl(Test::More)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Don't need to fix permissions of pod2readme
  - Don't need to run test suite with LANG=C

* Wed Jul  6 2011 Paul Howarth <paul@city-fan.org> - 0.110-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix line endings in pod2readme
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Dec 10 2010 Paul Howarth <paul@city-fan.org> - 0.110-1
- Update to 0.11
  - Recognise the =encoding directive, rather than dying when it's encountered
  - TODO: actually take heed of it
- Change from Build.PL to Makefile.PL flow as Build.PL dropped upstream
- BR: perl(ExtUtils::MakeMaker) rather than perl(Module::Build)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 0.100-2
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 20 2010 Paul Howarth <paul@city-fan.org> - 0.100-1
- Update to 0.10
  - David Precious <davidp@preshweb.co.uk> taking over maintainership
  - Apply POD fix patch from CPAN RT#38328
- This release by BIGPRESH -> update source URL

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> - 0.090-7
- Fix dist tag for RHEL-6 Beta

* Tue Mar  2 2010 Paul Howarth <paul@city-fan.org> - 0.090-6
- Dist tag for Rawhide no longer needs special-casing

* Thu May  7 2009 Paul Howarth <paul@city-fan.org> - 0.090-5
- Import from Fedora

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.090-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.090-3
- Rebuild for new perl

* Tue Nov 27 2007 Steven Pritchard <steve@kspei.com> - 0.090-2
- Update License tag
- Drop explicit dependencies on Test::* modules (#232736)

* Sat Dec 09 2006 Steven Pritchard <steve@kspei.com> - 0.090-1
- Update to 0.09
- Use fixperms macro instead of our own chmod incantation
- BR: Regexp::Common
- Switch back to using Module::Build

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> - 0.081-3
- Fix find option order

* Fri May 12 2006 Steven Pritchard <steve@kspei.com> - 0.081-2
- Use Makefile.PL temporarily to work around Module::Build breakage

* Fri May 12 2006 Steven Pritchard <steve@kspei.com> - 0.081-1
- Specfile autogenerated by cpanspec 1.66
- Remove explicit perl dep
- Set DEVEL_TESTS for "Build test"
- Add bindir and man1 to file list
